vn.py量化社区
By Traders, For Traders.
Member
加入于:
帖子: 21
声望: 0

仿真环境下,ctpgateway报错。。。
ValueError: time data '20210408 144916.0' does not match format '%Y%m%d %H:%M:%S.%f'

At:
C:\vnstudio\lib_strptime.py(359): _strptime
C:\vnstudio\lib_strptime.py(577): _strptime_datetime
C:\vnstudio\lib\site-packages\vnpy\gateway\ctp\ctp_gateway.py(315): onRtnDepthMarketData

ValueError: time data '20210408 144917.0' does not match format '%Y%m%d %H:%M:%S.%f'

At:
C:\vnstudio\lib_strptime.py(359): _strptime
C:\vnstudio\lib_strptime.py(577): _strptime_datetime
C:\vnstudio\lib\site-packages\vnpy\gateway\ctp\ctp_gateway.py(315): onRtnDepthMarketData

ValueError: time data '20210408 144918.0' does not match format '%Y%m%d %H:%M:%S.%f'

At:
C:\vnstudio\lib_strptime.py(359): _strptime
C:\vnstudio\lib_strptime.py(577): _strptime_datetime
C:\vnstudio\lib\site-packages\vnpy\gateway\ctp\ctp_gateway.py(315): onRtnDepthMarketData

ValueError: time data '20210408 144919.0' does not match format '%Y%m%d %H:%M:%S.%f'

At:
C:\vnstudio\lib_strptime.py(359): _strptime
C:\vnstudio\lib_strptime.py(577): _strptime_datetime
C:\vnstudio\lib\site-packages\vnpy\gateway\ctp\ctp_gateway.py(315): onRtnDepthMarketData

Member
加入于:
帖子: 21
声望: 0

好像是CTP版本问题。
请问,VNPY2.1.8 对应CTP什么版本? 如果要使用CTP 6.3.19的版本,要怎么做?

谢谢。

Member
avatar
加入于:
帖子: 2013
声望: 133

6.3.15,6.3.19是向下兼容的

Member
加入于:
帖子: 21
声望: 0

如果不是版本问题,那这个报错是什么问题?

Member
avatar
加入于:
帖子: 2013
声望: 133

请问你是6.5.1还是6.3.19?

Member
加入于:
帖子: 21
声望: 0

6.3.19

Member
加入于:
帖子: 21
声望: 0

xiaohe wrote:

请问你是6.5.1还是6.3.19?

请问,如果要适配一个新的ctp版本,需要做哪些事情呢? 有没有文档可参考?

Member
avatar
加入于:
帖子: 128
声望: 3

这个版本我们是支持的,但是不同期货公司可能处理数据有差异。看报错信息,应该是要把数据格式 '%Y%m%d %H:%M:%S.%f' 改成 '%Y%m%d %H%M%S.%f'

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号